﻿using RoomiezApp.Model;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace RoomiezApp.Database.Manager
{
    public class FlatManager
    {
        private DBContext _db;
        int _flat_id;

        public FlatManager(DBContext db, int flat_id)
        {
            _db = db;
            _flat_id = flat_id;
        }
        public int CreateFlat(string name)
        {
            string q = $@"
            INSERT INTO Flat VALUES(null, '{name}');
            ";

            string q2 = "SELECT last_insert_rowid();";
            try
            {
                _db.ExecuteQuery(q);

                var reader = _db.ExecuteQuery(q2);
                reader.Read();
                int id = Convert.ToInt32(reader.GetValue(0));

                return id;

            } 
            catch (Exception ex)
            {
                Console.WriteLine(ex.Message);
                return -1;
            }
        }

        public void ChangeName(string name)
        {
            string q = $@"
            UPDATE Flat
            SET name = '{name}'
            WHERE id = {_flat_id};
            ";

            try
            {
                _db.ExecuteQuery(q);
            } 
            catch (Exception ex)
            {
                Console.WriteLine(ex.Message);
            }
        }

        public void FillFlatUsers(Flat f)
        {
            f.ClearRoommates();
            string q = $@"
            SELECT id, username, is_head FROM Roommate
            WHERE flat_id == {f.Id}
            ";


            try
            {
                var reader = _db.ExecuteQuery(q);
                while (reader.Read())
                {
                    Roommate r = Mapper.MapRoommate(reader);
                    f.AddRoommate(r);
                }
            }
            catch (Exception ex)
            {
                Console.WriteLine(ex.Message);
            }
        }


        public void FillFlatTasks(Flat f)
        {
            f.tasks.Clear();
            string q = $@"
            SELECT id, title, description, deadline, done, roommate_id
            FROM Task
            WHERE flat_id = {f.Id}
            ";

            try
            {
                var reader = _db.ExecuteQuery(q);

                while (reader.Read())
                {
                    f.tasks.Add(Mapper.MapTask(reader, f.Roommates));
                }
            }
            catch (Exception ex)
            {
                Console.WriteLine(ex.Message);
            }
        }
        public void FillFlatShoppingListItems(Flat f)
        {
            string q = $@"
            SELECT title FROM ShoppingListItem
            WHERE flat_id = {f.Id}
            ";

            try
            {
                var reader = _db.ExecuteQuery(q);
                while (reader.Read())
                {
                    f.ShoppingList.Add(Mapper.MapShoppingListItem(reader));
                }
            }
            catch (Exception ex)
            {
                Console.WriteLine(ex.Message);
            }
        }
    }
}
