﻿using RoomiezApp.Model;
using System;
using System.Collections.Generic;
using System.Data.SQLite;
using System.Diagnostics;
using System.Globalization;
using System.Linq;
using System.Text;

namespace RoomiezApp.Database
{
    public class Mapper
    {
        public static Roommate MapRoommate(SQLiteDataReader reader)
        {
            int id = reader.GetInt32(reader.GetOrdinal("id"));
            string username = reader.GetString(reader.GetOrdinal("username"));
            bool isHead = reader.GetBoolean(reader.GetOrdinal("is_head"));

            return new Roommate(id, username, isHead);
        }

        public static Flat MapFlat(SQLiteDataReader reader)
        {
            int id = reader.GetInt32(reader.GetOrdinal("id"));
            string name = reader.GetString(reader.GetOrdinal("name"));

            return new Flat(id, name);
        }

        public static Task MapTask(SQLiteDataReader reader, List<Roommate> roommates)
        {
            int id = reader.GetInt32(reader.GetOrdinal("id"));
            string title = reader.GetString(reader.GetOrdinal("title"));

            string description = "";
            int ordinal = reader.GetOrdinal("description");
            if (!reader.IsDBNull(ordinal))
            {
                description = reader.GetString(ordinal);
            }

            DateTime deadline = reader.GetDateTime(reader.GetOrdinal("deadline"));
            bool done = reader.GetBoolean(reader.GetOrdinal("done"));
            int roommate_id = reader.GetInt32(reader.GetOrdinal("roommate_id"));

            Roommate assingee = roommates.Where(r => r.Id == roommate_id).FirstOrDefault();

            return new Task(id, title, description, deadline, assingee, done);
        }


        public static string MapShoppingListItem(SQLiteDataReader reader)
        {
            return reader.GetString(reader.GetOrdinal("title"));
        }
    }
}
