﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using RoomiezApp.Database;
using RoomiezApp.Forms.Dialogs;
using RoomiezApp.Model;
using RoomiezApp.Database.Manager;

namespace RoomiezApp.Forms
{
    public partial class AccessFlat : Form
    {
        private LoginManager _lM;
        private DBContext _db;
        public AccessFlat(DBContext db)
        {
            InitializeComponent();
            _lM = new LoginManager(db);
            _db = db;

            _resetForm();
        }

        private void createFlatLinkLabel_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
        {
            this.Hide();
            CreateFlat createFlatF = new CreateFlat(_db);
            createFlatF.ShowDialog();
            createFlatF.Dispose();
            this.Show();
        }

        private void accessFlatButton_Click(object sender, EventArgs e)
        {
            Flat f = _lM.FindFlat(_getInputFlatID());

            if (f == null)
            {
                form_error("Error: Flat not found");
                return;
            }
            
            this.Hide();
            LogIn logInF = new LogIn(_db, f);
            logInF.ShowDialog();
            if (logInF.DialogResult == DialogResult.Abort)
            {
                this.Show();
                _resetForm();
            }
            this.Dispose();
        }

        private void _resetForm()
        {
            errorMessageLabel.Text = "";
            flatIDTextBox.Text = "";
        }

        private void AccessFlat_Load(object sender, EventArgs e)
        {
            
        }

        private int _getInputFlatID()
        {
            if (flatIDTextBox.Text == "")
            {
                form_error("Error: FlatID not provided");
                return -1;
            }
            return int.Parse(flatIDTextBox.Text);
        }

        private void form_error(string message)
        {
            errorMessageLabel.Text = message;
        }

        private void flatIDTextBox_KeyPress(object sender, KeyPressEventArgs e)
        {
            if (!char.IsControl(e.KeyChar) && !char.IsDigit(e.KeyChar)) {
                e.Handled = true;
            }
            errorMessageLabel.Text = "";
        }
    }
}
