﻿using RoomiezApp.Forms.EventArgsModel;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace RoomiezApp.Forms.Dialogs
{
    public partial class AddUser : Form
    {
        public event EventHandler<AddRoommateEventArgs> WantToAddUser;
        public AddUser()
        {
            InitializeComponent();
        }

        private void addButton_Click(object sender, EventArgs e)
        {
            if (nameTextBox.Text == "")
            {
                errorMessageLabel.Text = "Name is empty";
                return;
            }
            if (passwordTextBox.Text == "")
            {
                errorMessageLabel.Text = "Password is empty";
                return;
            }


            WantToAddUser?.Invoke(this, new AddRoommateEventArgs(nameTextBox.Text, passwordTextBox.Text, headRoommateCheckBox.Checked));
            DialogResult = DialogResult.OK;
            this.Dispose();
        }
        
        private void AddUser_Load(object sender, EventArgs e)
        {
            errorMessageLabel.Text = "";
        }

        private void cancelButton_Click(object sender, EventArgs e)
        {
            DialogResult = DialogResult.Abort;
            this.Dispose();
        }

        private void nameTextBox_TextChanged(object sender, EventArgs e)
        {
            errorMessageLabel.Text = "";
        }

        private void passwordTextBox_TextChanged(object sender, EventArgs e)
        {
            errorMessageLabel.Text = "";
        }
    }
}
