﻿using RoomiezApp.Database;
using RoomiezApp.Database.Manager;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace RoomiezApp.Forms.Dialogs
{
    public partial class CreateFlat : Form
    {
        private DBContext _db;
        public CreateFlat(DBContext db)
        {
            InitializeComponent();
            _resetForm();
            _db = db;
        }

        private void cancelButton_Click(object sender, EventArgs e)
        {
            this.DialogResult = DialogResult.Abort;
        }

        private void _resetForm()
        {
            errorMessageLabel.Text = "";
            headRoommateNameTextbox.Text = "";
            headRoommatePasswordTextbox.Text = "";
        }

        private void CreateFlat_Load(object sender, EventArgs e)
        {

        }

        private void createFlatButton_Click(object sender, EventArgs e)
        {
            if (flatNameTextbox.Text == "")
            {
                errorMessageLabel.Text = "Flat name is empty";
                return;
            }
            if (headRoommateNameTextbox.Text == "")
            {
                errorMessageLabel.Text = "Head roommate name is empty";
                return;
            }
            if (headRoommatePasswordTextbox.Text == "")
            {
                errorMessageLabel.Text = "Head roommate password is empty";
                return;
            }

            FlatManager fM = new FlatManager(_db, -1);
            int flat_id = fM.CreateFlat(flatNameTextbox.Text);
            UserManager um = new UserManager(_db);
            um.AddUser(headRoommateNameTextbox.Text, headRoommatePasswordTextbox.Text, true, flat_id);

            FlatIdDialog fD = new FlatIdDialog(flat_id);
            
            fD.ShowDialog();
            fD.Dispose();

            DialogResult = DialogResult.OK;
        }
    }
}
