﻿using RoomiezApp.Forms.EventArgsModel;
using RoomiezApp.Model;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace RoomiezApp.Forms.Dialogs
{
    public partial class EditUser : Form
    {
        public event EventHandler<EditRoommateEventArgs> ChangeRoommate;

        private Roommate _roommateToEdit;
        private bool _changeHead;

        private string _name;
        private bool _isHead;
        private int _id;

        public EditUser(int id, string name,  bool isHead, bool changeHeadBool)
        {
            InitializeComponent();
            _id = id;
            _name = name;
            _isHead = isHead;
            _changeHead = changeHeadBool;
        }

        private void EditUser_Load(object sender, EventArgs e)
        {
            nameTextBox.Text = _name;
            headRoommateCheckBox.Checked = _isHead;
            if (!_changeHead)
            {
                headRoommateCheckBox.Hide();
            }
            
        }

        private void editButton_Click(object sender, EventArgs e)
        {
            ChangeRoommate?.Invoke(this, new EditRoommateEventArgs(_id, nameTextBox.Text, headRoommateCheckBox.Checked));
            DialogResult = DialogResult.OK;
            this.Dispose();
        }

        private void cancelButton_Click(object sender, EventArgs e)
        {
            DialogResult = DialogResult.Abort;
            this.Dispose();
        }
    }
}
