﻿using RoomiezApp.Database;
using RoomiezApp.Database.Manager;
using RoomiezApp.Model;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace RoomiezApp.Forms.Dialogs
{
    public partial class LogIn : Form
    {
        private LoginManager _lM;
        private DBContext _db;
        private Flat _flat;
        public LogIn(DBContext db, Flat flat)
        {
            InitializeComponent();
            _db = db;
            _flat = flat;

            _lM = new LoginManager(db);

            FlatManager _fM = new FlatManager(db, flat.Id);
            _fM.FillFlatUsers(_flat);
            _fM.FillFlatTasks(_flat);
            _fM.FillFlatShoppingListItems(_flat);
            _resetForm();
        }

        private void cancelButton_Click(object sender, EventArgs e)
        {
            this.DialogResult = DialogResult.Abort;
        }

        private void LogIn_Load(object sender, EventArgs e)
        {
            errorMessageLabel.Text = "";
            loggingIntoLabel.Text += _flat.Name;
        }

        private void _resetForm()
        {
            errorMessageLabel.Text = "";
            userNameTextBox.Text = "";
            passwordTextBox.Text = "";
        }

        private void logInButton_Click(object sender, EventArgs e)
        {
            Roommate r = _lM.FindUser(userNameTextBox.Text, passwordTextBox.Text, _flat.Id);

            if (r == null)
            {
                form_error("Error: Invalid credentials");
                return;
            }

            MainWindow mW = new MainWindow(r, _flat, _db);
            mW.ShowDialog();
            this.Hide();
        }

        private void form_error(string message)
        {
            errorMessageLabel.Text = message;
        }

        private void userNameTextBox_KeyPress(object sender, KeyPressEventArgs e)
        {
            errorMessageLabel.Text = "";
        }

        private void passwordTextBox_KeyPress(object sender, KeyPressEventArgs e)
        {
            errorMessageLabel.Text = "";
        }
    }
}
