﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace RoomiezApp.Forms.MainWindowPanels
{
    public partial class DayUC : UserControl
    {
        public readonly int DayNum;
        public DayUC(int dayNum)
        {
            InitializeComponent();
            DayNum = dayNum;
        }

        public DayUC()
        {
            InitializeComponent();
            DayNum = -1;
            BackColor = SystemColors.Control;

        }

        private void DayBox_Load(object sender, EventArgs e)
        {
            if (DayNum == -1) 
            {
                dayNumLabel.Text = "";
            }
            else
            {             
                dayNumLabel.Text = DayNum + "";
            }
        }

        public void HighlightCurrentDay()
        {
            this.BackColor = Color.FromArgb(225, 232, 252);
            dayNumLabel.ForeColor = Color.FromArgb(79, 109, 204);
            dayNumLabel.Font = new Font(dayNumLabel.Font.Name, dayNumLabel.Font.Size, FontStyle.Bold);
        }

        protected override void OnPaint(PaintEventArgs e)
        {
            base.OnPaint(e);

            if (DayNum == -1)
            {
                return;
            }
            // Draws a 1px wide border
            Rectangle rect = new Rectangle(0, 0, this.Width - 1, this.Height - 1);
            Pen pen = new Pen(Color.FromArgb(176, 174, 174), 1);
            e.Graphics.DrawRectangle(pen, rect);
        }
    }
}

