﻿using RoomiezApp.Model;
using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace RoomiezApp.Forms
{
    public class TaskDataTable : DataTable
    {
        public TaskDataTable() : base()
        {
            base.Columns.Add("ID", typeof(int));
            base.Columns.Add("Title", typeof(string));
            base.Columns.Add("Description", typeof(string));
            base.Columns.Add("Assignee", typeof(Roommate));
            base.Columns.Add("Due", typeof(DateTime));
            base.Columns.Add("Completed", typeof(bool));

            base.Columns["ID"].ReadOnly = true;
            base.Columns["Title"].ReadOnly = true;
            base.Columns["Description"].ReadOnly = true;
            base.Columns["Assignee"].ReadOnly = true;
            base.Columns["Due"].ReadOnly = true;

            //base.Columns["Completed"].ReadOnly = false;
        }

        public void FillDataTable(IEnumerable<Task> tasks)
        {
            base.Rows.Clear();

            foreach (var task in tasks)
            {
                DataRow taskRow = base.NewRow();
                taskRow["ID"] = task.Id;
                taskRow["Title"] = task.Title;
                taskRow["Description"] = task.Description;
                taskRow["Assignee"] = task.Assignee;
                taskRow["Due"] = task.Deadline;
                taskRow["Completed"] = task.Completed;

                base.Rows.Add(taskRow);
            }

        }
    }
}
