﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using System.Windows.Forms;

using RoomiezApp.Forms;
using RoomiezApp.Model;
using RoomiezApp.Database;
using RoomiezApp.Database.Manager;

namespace RoomiezApp
{
    internal static class Program
    {
        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        [STAThread]
        static void Main()
        {
            StartMain();
            //StartApp();
        }

        static void StartApp()
        {
            DBContext db = new DBContext();
            db.Connect();

            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);
            Application.Run(new AccessFlat(db));
        }

        static void StartMain()
        {
            DBContext db = new DBContext();
            db.Connect();

            LoginManager lm = new LoginManager(db);
            Flat f = lm.FindFlat(1);
            Roommate user = lm.FindUser("Petra", "lala", f.Id);

            FlatManager fM = new FlatManager(db, f.Id);
            fM.FillFlatShoppingListItems(f);
            fM.FillFlatUsers(f);
            fM.FillFlatTasks(f);


            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);
            Application.Run(new MainWindow(user, f, db));
        }
    }
}
